package tech.nut.nut_player_android.models

import kotlinx.serialization.Serializable
import tech.nut.player.model.statistic.Stat
import tech.nut.player.model.subtitle.Caption

data class MappedContent(
    val content: ContentType,
    val stats: List<Stat>? = null,
    val captions: List<Caption>? = null
)

@Serializable
data class FlutterPlayerContent(
    val content: ContentType,
    val stats: List<FlutterPlayerStat>? = null,
    val captions: List<FlutterPlayerCaption>? = null
)

@Serializable
data class ContentType(
    val type: String,
    val url: String
)

@Serializable
data class FlutterPlayerStat(
    val name: String,
    val urlTemplate: String,
    val start: Double?,
    val delay: Double?,
    val count: Int,
    val method: String,
    val body: String?
)

@Serializable
data class FlutterPlayerCaption(
    val title: String?,
    val type: String?,
    val url: String?,
    val language: String?
)